<template>
    <div>
        <div class="border-form">
            <div id="storeInfo">
                <div class="pull-right" >
                </div>
                <div class="form-with-label" id="from">
                    <span class="ride-label">Starting Location</span>
                    <div class="frm-ride open_pin" >
                        <vue-google-autocomplete
                                id="map"
                                classname="ride-to chunkypuff"
                                placeholder="City, town or public location"
                                types="geocode"
                                country="us"
                                v-on:placechanged="getAddressDataFrom"
                        >
                        </vue-google-autocomplete>
                        <!--<input name="from-fetch" type="text" id="from-fetch" class="ride-to" placeholder="City, town or public location"> -->
                    </div>
                </div>
                <div id="stopsAppend"></div>
                <div class="form-with-label" id="to">
                    <span class="ride-label">Ending Location</span>
                    <div class="frm-ride open_pin">
                        <vue-google-autocomplete
                                id="map2"
                                classname="ride-to chunkypuff"
                                placeholder="City, town or public location"
                                types="geocode"
                                country="us"
                                v-on:placechanged="getAddressDataTo"
                        >
                        </vue-google-autocomplete>
                    </div>
                </div>
            </div>

            <div class=" text-center" style="margin-top: 15px;">
                <button class="btn btn-primary" v-on:click="routeDir">Route</button>
            </div>

        </div>
        
    </div>

</template>

<script>
    import VueGoogleAutocomplete from 'vue-google-autocomplete';
    import * as VueGoogleMaps from 'vue2-google-maps';


    export default {
        name: "SearchInputs",
        components: { VueGoogleAutocomplete,VueGoogleMaps },
        data(){
            return{
                from:'',
                to:'',
                map:'',
            }
        },
        mounted() {

            
        },
        methods:{
            showSearch: function(){


            },
            /**
             * When the location found
             * @param {Object} addressData Data of the found location
             * @param {Object} placeResultData PlaceResult object
             * @param {String} id Input container ID
             */
            getAddressDataFrom: function (addressData, placeResultData, id) {
                this.from = addressData;
                this.$emit('update:addressFrom', addressData);
            },
            getAddressDataTo: function (addressData, placeResultData, id) {
                this.to = addressData;
                this.$emit('update:addressTo', addressData);
            },
            routeDir: function (){
                if(this.from == null || this.to == null){
                    console.log('The fields are empty');
                    return false;
                }
                var directionsService = new google.maps.DirectionsService();
                var directionsDisplay = new google.maps.DirectionsRenderer;

                var request = {
                    origin: {lat: this.from.latitude, lng: this.from.longitude },
                    destination:{ lat: this.to.latitude, lng: this.to.longitude },
                    travelMode: google.maps.TravelMode.DRIVING
                };
                var map = new google.maps.Map(document.getElementById('myMap'), {
                    center: {lat: -37.0902, lng: 95.7129},
                    zoom: 6
                });
                let self = this;
                directionsService.route(request, function(result, status) {

                    if (status == google.maps.DirectionsStatus.OK) {
                        directionsDisplay.setMap(map);
                        directionsDisplay.setDirections(result);
                        console.log(result);
                        self.$emit('update:totalTime', result.routes[0].legs[0].duration.text);
                        self.$emit('update:totalDistance', result.routes[0].legs[0].distance.text);
                        self.$emit('update:distance', result.routes[0].legs[0].distance.value);
                        self.$emit('update:time', result.routes[0].legs[0].duration.value);
                        var numbers = result.routes[0].legs[0].distance.value * 0.000621371192;
                        var Onprice = Math.ceil(numbers * 0.10);

                        self.$emit('update:price', Onprice);
                        //self.totalTime = result.routes[0].legs[0].duration.text;
                        //self.time = result.routes[0].legs[0].duration.text;
                        //self.totalDistance = result.routes[0].legs[0].distance.text;
                        self.$emit('update:isRoute', false);
                    }else{
                        console.log("error");
                    }
                });
            }
        }
    }
</script>

<style scoped>
#dateFrom{
    box-sizing: border-box;
    isplay: block;
    width: 100%;
    height: 38px;
    border: 1px solid rgba(0,0,0,0.2);
    border-radius: 5px;
    padding-bottom: 8px;
    font-size: 15px;
    font-weight: 500;
}
</style>